# Interface ExpressionTree

All Superinterfaces:
  `Tree`

All Known Subinterfaces:
  `AnnotatedTypeTree`, `AnnotationTree`, `ArrayAccessTree`, `AssignmentTree`, `BinaryTree`, `CompoundAssignmentTree`, `ConditionalExpressionTree`, `ErroneousTree`, `IdentifierTree`, `InstanceOfTree`, `LambdaExpressionTree`, `LiteralTree`, `MemberReferenceTree`, `MemberSelectTree`, `MethodInvocationTree`, `NewArrayTree`, `NewClassTree`, `ParenthesizedTree`, `SwitchExpressionTree`, `TypeCastTree`, `UnaryTree`

public interface ExpressionTree extends Tree
A tree node used as the base class for the different types of expressions.

See Java Language Specification:
  15 Expressions
Since:
  1.6

## Nested Class Summary

### Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`